# Copyright 2005  Red Hat, Inc.
#
# Jeremy Katz <katzj@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 only
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import yum.Errors

class PirutError(yum.Errors.YumBaseError):
    def __init__(self, value = None):
        yum.Errors.YumBaseError.__init__(self)
        self.value = value
    def __str__(self):
        return "%s" %(self.value,)

class PirutCancelledError(PirutError):
    pass
class PirutVerifyError(PirutError):
    pass
class PirutDownloadError(PirutError):
    pass
class PirutDependencyError(PirutError):
    pass
class PirutResetError(PirutError):
    pass
